- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Lists Keys in a KeyRing.
HTTP request
GET https://mpc.googleapis.com/v1beta/{parent=projects/*/locations/*/instances/*/keyRings/*}/keys
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent KeyRing. Format: projects/{project}/locations/{location}/instances/{instance}/keyRings/{keyRing} It takes the form |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of Keys to return. The service may return fewer. If unspecified, at most 50 are returned. Values above 1000 are coerced to 1000. |
pageToken |
Optional. A page token from a previous |
Request body
The request body must be empty.
Response body
Response message for KeyService.ListKeys.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"keys": [
{
object ( |
| Fields | |
|---|---|
keys[] |
The Keys in the KeyRing. |
nextPageToken |
A token to retrieve the next page. Empty if there are no more pages. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.